%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname Rabbyt
%define eggname rabbyt
%define pyv py2.5

Name:           python-rabbyt
Version:        0.8.2
Release:        4%{?dist}
Summary:        Sprite library for Python

Group:          System Environment/Libraries
License:        MIT
URL:            http://matthewmarshall.org/projects/rabbyt
Source0:        http://pypi.python.org/packages/source/R/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         %{srcname}-compile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  Django
BuildRequires:  python-pygments
BuildRequires:  python-docutils
Requires:       python-pygame


%description
Rabbyt is a sprite library for Python with game development in mind.
It has two goals:

* To be fast, without sacrificing ease of use.
* To be easy to use, without sacrificing speed.

Rabbyt makes it very easy to create lots of sprites very 
fast that run very fast with little code.


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .compile


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__chmod} -R u=rwX,go=rX %{buildroot}%{python_sitearch}/%{eggname}

# sorry, but i didn't find a better way to build the docs, because 
# the rabbyt is a dependency of rabbyt-docs
cd docs;  PYTHONPATH=%{buildroot}%{python_sitearch} %{__python} make_docs.py; cd ..


%clean
rm -rf %{buildroot}

%check
cd tests
export PYTHONPATH=%{buildroot}%{python_sitearch}
# some tests do not run due to rounding problems
#%%{__python} anim_tests.py
#%%{__python} collisions_tests.py
#%%{__python} sprite_tests.py
%{__python} test_quad.py


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING INSTALL README THANKS
%doc docs/rabbyt
%doc examples
%{python_sitearch}/%{eggname}
%{python_sitearch}/%{srcname}-%{version}-%{pyv}.egg-info


%changelog
* Thu Oct 23 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.2-4
- Correct spec bug #458345 c12 c14

* Wed Oct 22 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.2-3
- Build documentation.
- Pack examples.
- Try to run some tests.

* Wed Oct 22 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.2-2
- Add Patch0 (again)

* Mon Sep 08 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.2-1
- New upstream release

* Mon Aug 11 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.1-3
- Correct Patch0

* Sun Aug 10 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.1-2
- Change name to python-rabbit to honor the Python Naming Guidelines

* Thu Aug 07 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.1-1
- Initial release
